/**
 * Copyright (c) 2009 ISP RAS.
 * 109004, A. Solzhenitsina, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id$
 * Created on 18.02.2011
 *
 */
package mbtest.test.guards;

import java.util.Arrays;
import java.util.regex.Pattern;

import mbtest.MBTester;

/**
 * @author Victor Kuliamin
 *
 */
public class Runner
{
  public static void main(String[] args)
  {
    String tcl = "mbtest.test.guards.Test1";
    
    MBTester.main(new String[] {
        "-loglevel"      , "debug"
       ,"-testclass"     , tcl
       ,"-explorer"      , "bfs"
       ,"-maxtransitions", "-1"
       ,"-maxstates"     , "-1"
       ,"-maxpath"       , "-1"
       ,"-maxfails"      , "0"
       ,"-ignorefails"
    });
  }
  
  public static void main1(String[] args)
  {
    String s = "safasfas";
    String p = "safa.sfas";
    String q = "sa.fa.sfa.s";
    
    System.out.println("Splitting \'" + s + "\' = " + Arrays.toString(s.split("\\.")));
    System.out.println("Splitting \'" + p + "\' = " + Arrays.toString(p.split("\\.")));
    System.out.println("Splitting \'" + q + "\' = " + Arrays.toString(q.split("\\.")));
    
    System.out.println("Splitting \'" + s + "\' = " + Arrays.toString(Pattern.compile("\\.").split(s)));
    System.out.println("Splitting \'" + p + "\' = " + Arrays.toString(Pattern.compile("\\.").split(p)));
    System.out.println("Splitting \'" + q + "\' = " + Arrays.toString(Pattern.compile("\\.").split(q)));

  }
  
}
