/**
 * Copyright (c) 2009 ISP RAS.
 * 109004, A. Solzhenitsina, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id$
 * Created on 18.02.2011
 *
 */
package mbtest.tests.guide;

import mbtest.MBTester;

/**
 * @author Victor Kuliamin
 *
 */
public class Runner
{
  public static void mainx(String[] args)
  {
    String tcl = "mbtest.tests.guide.intset.IntSetTest";
    
    MBTester.main(new String[] {
        "-test"          , "TT"
       ,"-loglevel"      , "info"
       ,"-testclass"     , tcl
       ,"-explorer"      , "none"
       ,"-maxtransitions", "-1"
       ,"-maxstates"     , "-1"
       ,"-maxpath"       , "-1"
       ,"-maxfails"      , "0"
       ,"-ignorefails"
    });
  }
  
  public static void main(String[] args)
  {
    String tcl = "mbtest.tests.guide.list.ListTest(2,2)";
    
    MBTester.main(new String[] {
        "-loglevel"      , "info"
       ,"-testclass"     , tcl
       ,"-explorer"      , "bfs"
       ,"-maxtransitions", "-1"
       ,"-maxstates"     , "-1"
       ,"-maxpath"       , "-1"
       ,"-maxfails"      , "0"
       ,"-ignorefails"
    });
  }

  public static void main2(String[] args)
  {
    String tcl = "mbtest.tests.guide.intset.IntSetContractTest(6)";
    
    MBTester.main(new String[]{
         "-loglevel"      , "info"
       , "-testclass"     , tcl
       , "-explorer"      , "bfs"
       , "-conffile"      , "intsetConfig.xml"
       , "-maxtransitions", "-1"
       , "-maxstates"     , "-1"
       , "-maxpath"       , "-1"
       , "-maxfails"      , "0"
       , "-ignorefails"
      });

  }
}
