/**
 * Copyright (c) 2009 ISP RAS.
 * 109004, A. Solzhenitsina, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id$
 * Created on Oct 25, 2012
 *
 */

package mbtest.tests.guide.sqrt;

import mbtest.annotations.DataProvider;
import mbtest.annotations.Test;
import mbtest.contracts.Contract;

/**
 * @author Victor Kuliamin
 *
 */
@Test
public class PSqrtTest
{
  @Test
  @DataProvider(name="params")
  public void testAny(double x)
  {
    double r = Math.sqrt(x);
    Contract.assertEquals(r*r, x, "Square root squared should be equal to the argument");
  }
  
  double[] params = new double[]{0., 1., 4., 9., 16., 25., 100., 169., 225., 289.};
}
