/**
 * Copyright (c) 2009 ISP RAS.
 * 109004, A. Solzhenitsina, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id$
 * Created on Oct 25, 2012
 *
 */

package mbtest.tests.guide.stack;

/**
 * @author Victor Kuliamin
 *
 */
public class SmallStack
{
  public final static int MAX_SIZE = 5;
  
  Object[] items = new Object[MAX_SIZE];
  int size  = 0;
  
  public int size() { return size; }
  
  public boolean push(Object o)
  {
    if(size == MAX_SIZE) return false;
    else
    {
      items[size++] = o;
      return true;
    }
  }
  
  public Object pop()
  {
    if(size == 0) return null;
    else          return items[--size];
  }
  
  public Object head()
  {
    if(size == 0) return null;
    else          return items[size-1];
  }
  
}
