/**
 * Copyright (c) 2009 ISP RAS.
 * 109004, A. Solzhenitsina, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id$
 * Created on 18.02.2011
 *
 */
package mbtest.tests.testclass;

import mbtest.MBTester;

/**
 * @author Victor Kuliamin
 *
 */
public class Runner
{
  public static void main(String[] args)
  {
    String tcl = "mbtest.tests.testclass.Test2";//"mbtest.tests.testclass.ListTest(3,9)";//"mbtest.tests.testclass.SimpleMapState(5,4)";
    
    MBTester.main(new String[] {
        "-test"          , "TT"
       ,"-loglevel"      , "info"
       ,"-testclass"     , tcl
       ,"-explorer"      , "bfs"//"fbfs"
       ,"-maxtransitions", "-1"
       ,"-maxstates"     , "-1"
       ,"-maxpath"       , "-1"
       ,"-maxfails"      , "0"
       ,"-ignorefails"
    });
  }
  
  public static void main1(String[] args)
  {
    String tcl = "mbtest.tests.testclass.ConfigurableSmallGraph";//"mbtest.tests.testclass.ListTest(3,9)";//"mbtest.tests.testclass.SimpleMapState(5,4)";
    
    MBTester.main(new String[] {
        "-test"          , "TT"
       ,"-loglevel"      , "summary"
       //,"-testclass"     , "mbtest.tests.testclass.ListTest(2,14)"
       //,"-testclass"     , "mbtest.tests.testclass.MPMapState(4)"
       //,"-testclass"     , "mbtest.tests.testclass.NullState(2)"
       //,"-testclass"     , "mbtest.tests.testclass.TwoMethodsState(1)"
       ,"-testclass"     , tcl
       ,"-explorer"      , "oldbfs"//"fbfs"
       ,"-maxtransitions", "-1"
       ,"-maxstates"     , "-1"
       ,"-maxpath"       , "-1"
       ,"-maxfails"      , "0"
       ,"-ignorefails"
    });

    MBTester.main(new String[] {
        "-test"          , "TT"
       ,"-loglevel"      , "summary"
       //,"-testclass"     , "mbtest.tests.testclass.ListTest(2,14)"
       //,"-testclass"     , "mbtest.tests.testclass.MPMapState(4)"
       //,"-testclass"     , "mbtest.tests.testclass.NullState(2)"
       //,"-testclass"     , "mbtest.tests.testclass.TwoMethodsState(1)"
       ,"-testclass"     , tcl
       ,"-explorer"      , "bfs"//"fbfs"
       ,"-maxtransitions", "-1"
       ,"-maxstates"     , "-1"
       ,"-maxpath"       , "-1"
       ,"-maxfails"      , "0"
       ,"-ignorefails"
    });
  }

  
  public static void mainc(String[] args)
  {
    MBTester.main(new String[] {
        "-loglevel" , "info"
       ,"-testclass", "mbtest.tests.testclass.MPMapState"
       ,"-explorer" , "bfs"//"fbfs"
       ,"-maxtransitions", "-1"
       ,"-maxstates", "-1"
       ,"-maxpath", "-1"
       ,"-maxfails", "0"
       ,"-ignorefails"
    });
  }

  public static void maina(String[] args)
  {
    MBTester.main(new String[] {
        "-loglevel" , "summary"
       ,"-testclass", "mbtest.tests.testclass.ListTest(2,9)"
       ,"-explorer" , "greedy"//"bfs"//"fbfs"
       ,"-maxtransitions", "-1"
       ,"-maxstates", "-1"
       ,"-maxpath", "-1"
       ,"-maxfails", "0"
       ,"-ignorefails"
    });
  }

  public static void maind(String[] args)
  {
    MBTester.main(new String[] {
        "-loglevel" , "summary"
       ,"-testclass", "mbtest.tests.testclass.ListTest(6,2)"//(4,6)"
       ,"-explorer" , "bfs"//"fbfs"
       ,"-maxtransitions", "-1"
       ,"-maxstates", "-1"
       ,"-maxpath", "-1"
       ,"-maxfails", "0"
       //,"-ignorefails"
    });
  }

  public static void mainv(String[] args)
  {
    MBTester.main(new String[] {
        "-loglevel" , "info"
       ,"-testclass", "mbtest.tests.testclass.ListTest"
       ,"-explorer" , "olddfs"//"fbfs"
       ,"-maxtransitions", "-1"
       ,"-maxstates", "-1"
       ,"-maxpath", "-1"
       ,"-maxfails", "6"
       //,"-ignorefails"
    });
  }
  
  public static void maine(String[] args)
  {
    System.out.println("=========== greedy bfs");
    MBTester.main(new String[] {
        "-loglevel" , "debug"
       ,"-testclass", "mbtest.tests.testclass.ListTest"
       ,"-explorer" , "nbfs"//"fbfs"
       ,"-maxtransitions", "-1"
       ,"-maxstates", "-1"
       ,"-maxpath", "-1"
       ,"-maxfails", "0"
    });
    System.out.println("=========== old bfs");
    MBTester.main(new String[] {
        "-loglevel" , "summary"
       ,"-testclass", "mbtest.tests.testclass.ListTest"
       ,"-explorer" , "bfs"
       ,"-maxtransitions", "-1"
       ,"-maxstates", "-1"
       ,"-maxpath", "-1"
       ,"-maxfails", "0"
    });
    System.out.println("=========== new bfs");
    MBTester.main(new String[] {
        "-loglevel" , "summary"
       ,"-testclass", "mbtest.tests.testclass.ListTest"
       ,"-explorer" , "oldbfs"
       ,"-maxtransitions", "-1"
       ,"-maxstates", "-1"
       ,"-maxpath", "-1"
       ,"-maxfails", "0"
    });
    /*System.out.println("=========== greedy");
    MBTester.main(new String[] {
        "-loglevel" , "summary"
       ,"-testclass", "mbtest.tests.testclass.ListTest"
       ,"-explorer" , "greedy"
       ,"-maxtransitions", "-1"
       ,"-maxstates", "-1"
       ,"-maxpath", "-1"
       ,"-maxfails", "0"
    });
    System.out.println("=========== dfs");
    MBTester.main(new String[] {
        "-loglevel" , "summary"
       ,"-testclass", "mbtest.tests.testclass.ListTest"
       ,"-explorer" , "dfs"
       ,"-maxtransitions", "-1"
       ,"-maxstates", "-1"
       ,"-maxpath", "-1"
       ,"-maxfails", "0"
    });*/
  }

  public static void mains(String[] args)
  {
    MBTester.main(new String[] {
        "-loglevel" , "info"
       ,"-testclass", "mbtest.tests.testclass.ThorusTest"
       ,"-explorer" , "bfs"
       ,"-maxtransitions", "-1"
       ,"-maxstates", "-1"
       ,"-maxpath", "-1"
       ,"-maxfails", "0"
    });
    /*System.out.println("===========================================");
    MBTester.main(new String[] {
        "-loglevel" , "info"
       ,"-testclass", "mbtest.tests.testclass.ThorusTest"
       ,"-explorer" , "bfs"
       ,"-maxtransitions", "-1"
       ,"-maxstates", "-1"
       ,"-maxpath", "-1"
       ,"-maxfails", "0"
    });*/
  }

  public static void mainq(String[] args)
  {
    String tclass = "mbtest.tests.testclass.ListTest";
    
    MBTester.main(new String[] {
        "-loglevel" , "summary"
       ,"-testclass", tclass
       ,"-explorer" , "nbfs"
       ,"-maxtransitions", "-1"
       ,"-maxstates", "-1"
       ,"-maxpath", "-1"
       ,"-maxfails", "0"
    });
    System.out.println("===========================================");
    MBTester.main(new String[] {
        "-loglevel" , "summary"
       ,"-testclass", tclass
       ,"-explorer" , "oldbfs"
       ,"-maxtransitions", "-1"
       ,"-maxstates", "-1"
       ,"-maxpath", "-1"
       ,"-maxfails", "0"
    });
    System.out.println("===========================================");
    MBTester.main(new String[] {
        "-loglevel" , "summary"
       ,"-testclass", tclass
       ,"-explorer" , "bfs"
       ,"-maxtransitions", "-1"
       ,"-maxstates", "-1"
       ,"-maxpath", "-1"
       ,"-maxfails", "0"
    });
    System.out.println("===========================================");
    MBTester.main(new String[] {
        "-loglevel" , "summary"
       ,"-testclass", tclass
       ,"-explorer" , "local-greedy"
       ,"-maxtransitions", "-1"
       ,"-maxstates", "-1"
       ,"-maxpath", "-1"
       ,"-maxfails", "0"
    });
  }
  

  /**
   * @param args
   */
  public static void mainx(String[] args)
  {
    /*executeAll("none");
    executeAll("olddfs");*/
    executeAll("dfs");
    /*executeAll("greedy");
    executeAll("local-greedy");*/
    executeAll("nbfs");
  }

  /**
   * @param explorer
   */
  private static void executeAll(String explorer)
  {
    execute(explorer, "mbtest.tests.testclass.NDTestClass");
    execute(explorer, "mbtest.tests.testclass.EmptyTestClass");
    execute(explorer, "mbtest.tests.testclass.DeadEndTestClass");
    execute(explorer, "mbtest.tests.testclass.LoopEndTestClass");
    execute(explorer, "mbtest.tests.testclass.LiveEndTestClass");
    execute(explorer, "mbtest.tests.testclass.LiveEndIncTestClass");
    execute(explorer, "mbtest.tests.testclass.Test2");
    execute(explorer, "mbtest.tests.testclass.ConfigurableSmallGraph");
  }

  /**
   * @param explorer
   */
  static void execute(String explorer, String cls)
  {
    MBTester.main(new String[] {
        "-loglevel" , "info"
       ,"-testclass", cls
       ,"-explorer" , explorer
       ,"-maxtransitions", "-1"
       ,"-maxstates", "-1"
       ,"-maxpath", "-1"
       ,"-maxfails", "0"
    });
  }

  
}
