/**
 * Copyright (c) 2008 ISP RAS.
 * 109004, A. Solzhenitsina, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id$
 * Created on 19.02.2011.
 *
 */
package mbtest.tests.testclass;

import java.util.List;

import mbtest.annotations.DataProvider;
import mbtest.annotations.Guard;
import mbtest.annotations.State;
import mbtest.annotations.Test;
import mbtest.util.Utils;

/**
 * @author Victor Kuliamin
 *
 */
@Test
public class ThorusTest
{
  int[] D = new int[]{11, 9, 7, 7, 7, 4, 2, 2, 2, 2, 2};
  int N = D.length;
  int[] s = new int[]{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0};
  
  @State
  public List<Integer> getState() { return Utils.ArrayToTypedList(s); }
  
  @Test
  @DataProvider(name="data")
  @Guard(names="dguard")
  public void move(int i)
  {
    s[i] = (s[i]+1)%D[i];
  }
  
  int[] data = new int[]{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10};
  
  public boolean dguard(int i) { return i<6; }
}
