/**
 * Copyright (c) 2009 ISP RAS.
 * 109004, A. Solzhenitsina, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id$
 * Created on 20.01.2012
 *
 */

package mbtest.tests.testclass;

import mbtest.annotations.State;
import mbtest.annotations.Test;

/**
 * @author Victor Kuliamin
 *
 */
@Test
public class TwoMethodsState
{
  int a = 0;
  int b = 0;
  
  int max = 5;
  
  public TwoMethodsState(int max) { this.max = max; }
  
  @State
  public int getA() { return a; }
  
  @State 
  public int getB() { return b; }
  
  @Test
  public void test()
  {
    if(a == max) { a = -max; b = max; }
    else         { a++; b--; }
  }
}
