/**
 * Copyright (c) 2009 ISP RAS.
 * 109004, A. Solzhenitsina, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id$
 * Created on 08.10.2009
 *
 */

package mbtest.tests.account;

/**
 * @author Victor Kuliamin
 *
 */
public interface Account
{
  int getBalance();
  int getMaxCredit();
  
  Permitter getPermitter();
  void setPermitter(Permitter p);

  AuditLog getLog();
  void setLog(AuditLog log);
  
  int transfer(int sum);
}