/**
 * Copyright (c) 2009 ISP RAS.
 * 109004, A. Solzhenitsina, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id$
 * Created on 08.10.2009
 *
 */

package mbtest.tests.account;

import mbtest.tracing.Logger;

/**
 * @author Victor Kuliamin
 *
 */
public class AuditLog
{
  static Logger logger = new Logger(AuditLog.class);

  String kind;
  int oldBalance;
  int sum;
  int newBalance;
  
  public void logKind(String s)    { kind = s; }
  public void logOldBalance(int b) { oldBalance = b; }
  public void logSum(int sum)      
  {
    this.sum = sum;
    if(!"SUCCESS".equals(kind)) logger.logInfo(kind + ": " + oldBalance + " =( " + sum + " )=X");
  }

  public void logNewBalance(int b)
  {
    logger.logInfo(kind + ": " + oldBalance + " =( " + sum + " )=> " + b);
  };
}
