/**
 * Copyright (c) 2009 ISP RAS.
 * 109004, A. Solzhenitsina, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id$
 * Created on Oct 25, 2012
 *
 */

package mbtest.tests.guide.sqrt;

import mbtest.annotations.Test;
import mbtest.contracts.Contract;

/**
 * @author Victor Kuliamin
 *
 */

@Test
public class SqrtTest
{
  @Test
  public void testZero()
  {
    Contract.assertEquals(Math.sqrt(0.0), 0.0, "Square root of 0 should be 0");
  }

  @Test
  public void testOne()
  {
    Contract.assertEquals(Math.sqrt(1.0), 1.0, "Square root of 1 should be 1");
  }

  @Test
  public void testFour()
  {
    Contract.assertEquals(Math.sqrt(4.0), 2.0, "Square root of 4 should be 2");
  }

  @Test
  public void testNine()
  {
    Contract.assertEquals(Math.sqrt(9.0), 3.1, "Square root of 9 should be 3");
  }
}
