/**
 * Copyright (c) 2009 ISP RAS.
 * 109004, A. Solzhenitsina, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id$
 * Created on 08.10.2009
 *
 */

package mbtest.tests.maccount;

/**
 * @author Victor Kuliamin
 *
 */
public class Account
{
  int balance = 0;
  int maxCredit = -10;

  public int deposit(int sum)
  {
    if(sum >= 0 && balance <= Integer.MAX_VALUE - sum)
      balance += sum;
    else
      sum = 0;

    return sum;
  }
  
  public int withdraw(int sum)
  {
    if(sum >= 0 && balance >= maxCredit + sum)
      balance -= sum;
    else
      sum = 0;

    return sum;
  }

  public int getBalance()   { return balance; }
  public int getMaxCredit() { return maxCredit; }
}