/**
 * Copyright (c) 2009 ISP RAS.
 * 109004, A. Solzhenitsina, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id$
 * Created on 28.04.2011
 *
 */

package mbtest.tests.testclass;

import mbtest.annotations.Guard;
import mbtest.annotations.State;
import mbtest.annotations.Test;

/**
 * @author Victor Kuliamin
 *
 */
@Test
public class EmptyTestClass
{
  @State
  public int getState() { return 0; }
  
  @Test
  @Guard(names="stopper")
  public void test() {}

  public boolean stopper() { return false; }
}
