/**
 * Copyright (c) 2009 ISP RAS.
 * 109004, A. Solzhenitsina, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id$
 * Created on 28.04.2011
 *
 */

package mbtest.tests.testclass;

import mbtest.annotations.State;
import mbtest.annotations.Test;

/**
 * @author Victor Kuliamin
 *
 */
@Test
public class NDTestClass
{
  int state = 0;
  int count = 0;
  
  @State
  public int getState() { return state; }

  @Test
  public void up() { if(count == 0) { state = 1; count++; } }

  @Test
  public void down() { state = 0; }

  @Test
  public void keep() { }

}
