/**
 * Copyright (c) 2009 ISP RAS.
 * 109004, A. Solzhenitsina, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id$
 * Created on 20.01.2012
 *
 */

package mbtest.tests.testclass;

import mbtest.annotations.DataProvider;
import mbtest.annotations.Test;

/**
 * @author Victor Kuliamin
 *
 */
@Test
public class NullState
{
  int r = 7;

  int[] values; 

  public NullState(int r) 
  { 
    this.r = r;
    values = new int[r];
    for(int i = 0; i < r; i++) values[i] = i;
  }
  
  @Test
  @DataProvider(name = "values")
  public int nn(int i)
  {
    return r - i;
  }
}
