/**
 * Copyright (c) 2009 ISP RAS.
 * 109004, A. Solzhenitsina, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id$
 * Created on 18.02.2011
 *
 */

package mbtest.tests.testclass;

import mbtest.annotations.DataProvider;
import mbtest.annotations.Guard;
import mbtest.annotations.State;
import mbtest.annotations.Test;

/**
 * @author Victor Kuliamin
 *
 */
@Test
public class Test2
{
  int x = 0;
  int y = 0;
  int NX = 5;
  int NY = 5;
  
  @State
  public int getX() { return x; }

  @State
  public int getY() { return y; }
  
  @Test
  @DataProvider(name="data")
  @Guard()//names={"check","stateguard","fieldguard"}, references="object")
  public void forward(int p) { /*if(x < NX && (y == 0 || y == NY))*/ x = (x+p)%NX; }

  //@Test
  //public void backward() { if(x > 0 && y == 0) x--; }

  @Test(dependsOnMethods={"forward"}/*,"backward"}*/)
  public void up() { /*if(y < NY)*/ y = (y+1)%NY; }
  
  //@Test(dependsOnMethods={"forward","backward"})
  //public void down() { if(y > 0) y--; }
  
  /*@Test
  public void step(int i, int j)
  {
    x = (x+i)%NX;
    y = (y+j)%NY;
  }*/
  
  int[] data = new int[]{1};
  
  boolean stateguard() { return x != NX-1 && y != 0; }
  boolean fieldguard = true;
  
  Inner object = new Inner();
  
  class Inner 
  {
    public boolean check() 
    { 
      return Test2.this.x != 18 || Test2.this.y != 1;
    }
  }
}
